%global modulename jsx-ast-utils

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-jsx-ast-utils
Version:        2.0.1
Release:        1%{?dist}
Summary:        AST utility module for statically analyzing JSX

License:        MIT
URL:            https://github.com/evcohen/jsx-ast-utils#readme
Source0:        https://registry.npmjs.org/jsx-ast-utils/-/jsx-ast-utils-2.0.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(array-includes) >= 3.0.3 with npmlib(array-includes) < 4.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
AST utility module for statically analyzing JSX

%package 2.0.1
Summary:        AST utility module for statically analyzing JSX


%description 2.0.1
AST utility module for statically analyzing JSX

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .babelrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .eslintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr __tests__ %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr elementType.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr eventHandlers.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr eventHandlersByType.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr getLiteralPropValue.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr getProp.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr getPropValue.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr hasAnyProp.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr hasEveryProp.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr hasProp.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr propName.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr src %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr yarn.lock %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{nodejs_dir}/%{modulename}

%files 2.0.1
%doc CHANGELOG.md
%doc LICENSE.md
%doc README.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Nov 29 2018 npm2srpm <dshea@redhat.com> - 2.0.1-1
- Package automatically generated by npm2srpm
